Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$0.8 / 1k posts Extract Instagram post metadata and media, including captions, hashtags, engagement, and comments, from profiles

Endpoint

POST /api/v1/agents/instagram/posts/run

Parameters

inputs
array
required
List · One per line. You can input Instagram usernames (e.g. natgeo) or full URLs (profile, post, or reel).
maxResults
integer
default:20
Number · Number of posts per profile. Use 0 for all.
onlyPostsNewerThan
date
Date picker · Only get posts newer than this date. Format: YYYY-MM-DD.

Response columns

FieldDisplay nameType
usernameUsernametext
postUrlPost URLurl
captionCaptiontext
typeTypetext
postedPostedtext
authorNameAuthor Nametext
likesLikesnumber
commentsCommentsnumber
hashtagsHashtagstext
commentsDisabledComments Disabledboolean
pinnedPinnedboolean
productTypeProduct Typetext
imageImageurl
videoUrlVideo URLurl

Example

curl -X POST https://api.mindcase.co/api/v1/agents/instagram/posts/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "username": [
      "natgeo",
      "https://www.instagram.com/natgeo/",
      "https://www.instagram.com/p/DLNsnpUTdVS/"
    ],
    "maxResults": 10,
    "dataDetailLevel": "basicData"
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "username": "natgeo",
      "postUrl": "https://www.instagram.com/p/DLNsnpUTdVS/",
      "caption": "Your phone isn\u2019t rotting your brain\u2014but cell death and fungi might. \ud83e\udde0\n\nWhile doom scrolling has gained a reputation for turning brains into mush, the real process of brain rot happens after we\u2019re gone\u2014and sometimes, not at all. Scientists are uncovering preserved brains that are hundreds or even millennia old, reshaping our understanding of human history. From autolysis to microbial activity, we\u2019re only just learning what happens to our complex organ after death. \n\nFind out more at the link in bio. \n\nPhotograph by Zephyr / Science Photo Library",
      "type": "Image",
      "posted": "2025-06-22T19:00:10.000Z",
      "authorName": "National Geographic",
      "likes": 72923,
      "comments": 228,
      "hashtags": [],
      "commentsDisabled": false,
      "pinned": null,
      "productType": null,
      "image": "https://instagram.flas1-1.fna.fbcdn.net/v/t51.2885-15/503496381_18580771480019133_8965251613058937386_n.jpg?stp=dst-jpg_e15_fr_p1080x1080_tt6&_nc_ht=instagram.flas1-1.fna.fbcdn.net&_nc_cat=109&_nc_oc=Q6cZ2gGwailwCUWd76nj0XMJEKa9iD2fI097tawLc0hjGRi3diQl8SgMVNPkimzZNJj8M0E&_nc_ohc=5yXUCNVtUukQ7kNvwErEYRh&_nc_gid=tavUxjoirAxNJH2EuJpLIg&edm=APs17CUBAAAA&ccb=7-5&oh=00_Af7Nx80-Tui2ej2ukhPyHxUMHflUyG4KNo4lczuJ7EmIYw&oe=69FA685F&_nc_sid=10d13b",
      "videoUrl": null
    }
  ]
}